Subject: Re: CCL:cartesians to z-mat and back

From: "Tamas E. Gunda" <[email-masked]>
Date: Tue, 13 May 2003 09:54:35 +0200

Again I would like to mention Mol2Mol. It can convert Cartesian to Z-matrices with the following options:

You can give the three starting atoms;
The program steps along the atoms by star method or chain method or arbitrary manual numbering;
Option to add MOPAC flags (*, 0, 1 or whatever you want)
Option to use elemental symbols or atomic numbers;
Option to select the dummy atom symbol;
Option to add charges or not;
Option to select left/right handed system;
Option to create Gaussian format with symbolics;
Option to select the number of decimals.

Maybe the first option is the most important:  In the case of the "chain" method the algorithm first tries to
step along the longest chains of the molecule, and after them deals with the other atoms.  In the case of the
"star" method the program tries to include every atoms connected to the previous one before advancing:

To read more about go to:
http://web.interware.hu/frenzy/mol2mol

select from the left menu bar Mol2Mol in a Nutshell, then Molfiles, then Z matrix /write

Tamas Gunda
---------------------------------
Prof. Tamas E. Gunda
Department of Pharmaceutical Chemistry
Medical and Health Center
University of Debrecen, POBox 36
H-4010 Debrecen, Hungary
[email-masked]

----- Original Message -----
From: "elewars" <[email-masked]>
To: "Jan Labanowski" <[email-masked]>; <[email-masked]>
Sent: Monday, May 12, 2003 00:43
Subject: CCL:cartesians to z-mat and back

> 2003 May 11
>
> I might just add that
>
> As Jan Labanowski implies, writing an algorithm to convert a general set of
> molecular Cartesians to a good Z-matrix is a problem in artificial intelligence
> (the converse is trivial).
> The dying (?) art of writing a Z-matrix is treated nicely and compactly, with
> useful caveats, in _A Handbook of Computational Chemistry_, Tim Clark, Wiley, New
> York, 1985; pp 102-119.
>
> E. Lewars
> ======
>
>
>
>
>
> Jan Labanowski wrote:
>
> > I love MOLDEN and use it often for my geometry conversions. It comes
> > with the Z-matrix editor:
> >
> > http://www.cmbi.kun.nl/~schaft/molden/molden.html
> >
> > It should be stressed that conversion of cartesians to Z-matrix can only
> > be a trivial task for molecules that are trees (i.e., do not contain cycles).
> > When rings (or more complicated arrangements, like cages, say, cubane) are
> > present, the well behaved Z-matrix should contain dummy atoms. You can try
> > to understand the problem by build the Z-matrix in such a way
> > that changing one parameter does not affect any other parameters.
> >
> > For example, the z-matrix for benzene ring has to involve a centroid (a dummy
> > atom in the center of the ring) or otherwise, changing one torsion angles
> > within the ring will change other torsion angles. With the centroid, and
> > the rays going from it to the real atoms, you can build a Z-matrix which
> > does not involve dependencies between parameters.
> >
> > Now... Can the software detect such situations automatically and deal with
> > them. Sure... However, quite frankly, I did not see much of such
> > packages around. It is not a trivial problem, and even for simple molecules
> > with cycles, there are many ways to represent their geometry as a Z-matrix.
> > And deciding which Z-matrix is better, is again not a trivial thing. While
> > there are obviously objective measures, this is still an art, and the
> > beauty of the Z-matrix is in the eye of the beholder. And while there are
> > methods which make Z-matrix less important for unconstrained optimization
> > of the whole molecule (e.g., redundant internal coordinates in Gaussian),
> > there is nothing better than a well behaved Z-matrix when doing partial
> > optimizations of chosen geometrical features of the molecule(s), e.g.,
> > when studying transition states and reaction paths.
> >
> > Jan
> >
> > Jan K. Labanowski         |  phone: 614-292-9279,  FAX: 614-292-7168
> > Ohio Supercomputer Center |  E-mail: [email-masked]
> > 1224 Kinnear Rd,          |  http://www.ccl.net/~jkl
> > Columbus, OH 43212-1163   |  http://www.ccl.net/    http://asdn.net/
> >
>
>
>
> -= This is automatically added to each message by mailing script =-
> [email-masked] -- To Everybody  | [email-masked] -- To Admins
> Ftp: ftp.ccl.net  |  WWW: http://www.ccl.net/chemistry/   | Jan: [email-masked]
>
>
>
>
>
>